// ************************************************************************
// ** Geit3ctf2 Shader file						 **
// ** Des Hertogens Hove by Geit (ouwegeit@goat.gamepoint.net)		 **
// ** (http://goat.gamepoint.net/)					 **
// **									 **
// ** All shaders and texture remain the property of their respective	 **
// ** owners.								 **
// **									 **
// ** Geit - http://goat.gamepoint.net/					 **
// ** Sock - http://www.planetquake.com/simland/			 **
// ************************************************************************
//
// Shader Index:
// textures/geit/geit3ctf2_sky2				- Geit
// textures/geit/geit3ctf2_beam				- Geit
// textures/geit/nateweb				- Natestah
// textures/geit/vines					- Lloyd M
// textures/geit/vines2					- Lloyd M
// textures/medieval/flr_marble1_c3trn			- Sock
// textures/medieval/flr_marble5_c3trn			- Sock
// textures/medieval/flr_marble1_c3trn_jp		- Sock
// textures/medieval/flr_marble5_c3trn_jp		- Sock
// Models/mapobjects/vehementi/u_vstatue		- Barry Collins
// Models/mapobjects/adam/u_statue			- Barry Collins
// textures/geit/butterfly1				- Geit/WAcK

// The sky overheard	-	By Geit (modification of id shader)
textures/geit/geit3ctf2_sky2
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 0.25 0.25 1 65 200 75
	q3map_surfacelight 50
	skyparms - 512 -

	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.0001 0
		tcMod scale 2 2
		depthWrite
	}
}

// Dusty beam in the dark passage
textures/geit/geit3ctf2_beam
	{
        qer_editorimage textures/geit/geit3ctf2_beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/geit/geit3ctf2_beam.tga
		tcMod Scroll .3 0
                blendFunc add
        }
}

textures/geit/nateweb
{
	qer_editorimage textures/geit/nateweb.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable	
	{
		map textures/geit/nateweb.tga
		blendfunc add
		rgbgen identity
	}
}

textures/geit/vines
{	
    	qer_editorimage textures/geit/vines.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/geit/vines.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/geit/vines2
{	
    	qer_editorimage textures/geit/vines2.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/geit/vines2.tga
		blendFunc GL_ONE GL_ZERO

	alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/medieval/flr_marble1_c3trn
{
	qer_editorimage textures/medieval/flr_marble1_c3trn.tga
	q3map_lightimage textures/medieval/flr_marble1_c2glow.blend.tga	
	q3map_surfacelight 100
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		map textures/ctf/blue_telep2.tga
		blendfunc ADD
                tcmod rotate 45
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		map textures/medieval/flr_marble1_c3trn.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/medieval/flr_marble1_c2glow.blend.tga
		blendfunc ADD
		rgbgen wave sin .9 .1 0 5
	}
}

textures/medieval/flr_marble5_c3trn
{
	qer_editorimage textures/medieval/flr_marble5_c3trn.tga
	q3map_lightimage textures/medieval/flr_marble5_c2glow.blend.tga	
	q3map_surfacelight 100
	{
		map textures/ctf/red_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		map textures/ctf/red_telep2.tga
		blendfunc ADD
                tcmod rotate 45
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		map textures/medieval/flr_marble5_c3trn.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/medieval/flr_marble5_c2glow.blend.tga
		blendfunc ADD
		rgbgen wave sin .9 .1 0 5
	}
}

textures/medieval/flr_marble1_c3trn_jp
{
	qer_editorimage textures/medieval/flr_marble1_c3trn_jp.tga
	q3map_lightimage textures/medieval/flr_marble1_c2glow.blend.tga	
	q3map_surfacelight 400
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/medieval/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/medieval/flr_marble1_c3trn.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/medieval/flr_marble1_c2glow.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

textures/medieval/flr_marble5_c3trn_jp
{
	qer_editorimage textures/medieval/flr_marble5_c3trn_jp.tga
	q3map_lightimage textures/medieval/flr_marble5_c2glow.blend.tga	
	q3map_surfacelight 400
	{
		map textures/ctf/red_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/medieval/jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/medieval/flr_marble5_c3trn.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/medieval/flr_marble5_c2glow.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

Models/mapobjects/vehementi/u_vstatue
{
	cull none
	{
		map Models/mapobjects/vehementi/u_vstatue.tga
		rgbgen vertex
		alphaFunc GE128
	}
}

Models/mapobjects/adam/u_statue
{
	cull none
	{
		map Models/mapobjects/adam/u_statue.tga
		rgbgen vertex
		alphaFunc GE128
	}
}

textures/geit/butterfly1
{
	qer_editorimage textures/geit/butterfly-1.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes wave 11.3 sin 0 8 0 5 
	deformVertexes move 4 4 4 sin 0 1 0.75 0.5 
	tessSize 16
        cull disable
	{
		map textures/geit/butterfly-1.tga
		blendfunc blend
		rgbGen identity
	}
}